Backpack mod, providing the player with a customizable portable container, optionally requiring an actual backpack item to be equipped. 

Usage

To open and close the backpack, press the configurable hotkey (default b).

The weight of the items in the backpack are added to the weight of your player's inventory, after applying a weight multiplier (default 0.5, meaning things in the backpack weigh half as much as they normally would).

On death, you can choose whether the backpack drops all its items on the ground, creates a second tombstone, or keeps its items.

You can customize the following in the config file:

    The hotkey (default b)
    The backpack name (default Backpack)
    The backpack size (default 6x3)
    The backpack weight multiplier (default 0.5)
    Whether the backpack drops its items on death (default true)
    Whether dropped items are placed in a tombstone on death (default true)
    The spawn name of an item you must have equipped in order to open the backpack (default none)


Note that the mod doesn't come with an equippable backpack item, I don't know how to add items to the game, maybe someone else who knows how can create one.

Backpack contents are saved in a file tied to your profile name in BepInEx\Plugins\BackpackRedux

Please note that this is a new mod and you might want to back up your save before trying it out. I provide no warranty for this product.


Config

A config file BepInEx/config/aedenthorn.BackpackRedux.cfg is created after running the game once with this mod).

You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿.

To reload the config from the config file, type backpackredux reset into the game's console (F5).

